////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Work_config_fifo_in_config_fifo_in_a_H
#define H_Work_config_fifo_in_config_fifo_in_a_H
#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


class Work_config_fifo_in_config_fifo_in_a: public HSim__s6 {
public:

    HSim__s1 SE[9];

    Work_config_fifo_in_config_fifo_in_a(const char * name);
    ~Work_config_fifo_in_config_fifo_in_a();
    void constructObject();
    void constructPorts();
    void reset();
    void architectureInstantiate(HSimConfigDecl* cfg);
    virtual void vhdlArchImplement();
};



HSim__s6 *createWork_config_fifo_in_config_fifo_in_a(const char *name);

#endif
